Skip to main content
Resource Center/Network Resource/VPC Operations
POSTVPC OperationsSince 2.3SynchronousAuth Required

SetVpcVRouterDistributedRoutingEnabled

SetVpcVRouterDistributedRoutingEnabled

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • stateEventStringRequired

      The state of the resource.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • enabledbooleanRequired

    Checks whether the distributed routing of the VPC vRouter is enabled.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/vpc/virtual-routers/{uuid}/distributed-routing

/zstack/v1/vpc/virtual-routers/{uuid}/distributed-routing

Operation ID

SetVpcVRouterDistributedRoutingEnabled

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vpc/virtual-routers/{uuid}/distributed-routing' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "enabled": true }

Change History

This API has no change history records yet.

View all change history